# And Now, For Something Similar -- TUCTF 2019

This challenge was an example of a case where most SQLi was filtered, but not everything. Once you recognized the `login.php.bak` from Login to Access file was good for more than just a flag and betrayed the table structure for this challenge (that challenge was a prereq for this one), it became a matter of adding a valid user. Since many people guess admin, root or test for the users when first attempting a login, any attempts with those words in it were caught and not allowed to execute. An example of a successful query was `'; insert into users (user, password) values ("a", "b");--  ` which then allows you to successfully login with the credentials a/b to get the flag. Since OR was a restricted word but also in password, there was a specific check that allowed for the word password to be allowed. There are obviously some ways to circumvent this filtering, but you had to correctly login (which used a `select password from users where user =` and a check to verify that the password selected was the same as that in the password box to prevent alternative solutions). The database was dumped every few minutes to prevent someone from stumbling on a created username/password combination.
